.section.login-container {
  --fs-xsmall: 12px;
  --fs-small: 14px;
  --fs-medium: 16px;
  --sizing-m: 16px;
  --lh-small: 18px;
  --lh-medium: 20px;
  --sizing-xl: 24px;
  --fs-xlarge: 2rem;
  --lh-xlarge: 28px;
  --lh-16: 16px;
  --sizing-l: 20px;
  --sizing-s: 12px;
  --fs-xxlarge: 2rem;
  --lh-xxlarge: 38px;
  --sizing-xs: 8px;
  --sizing-2xs: 4px;
  --spacing-xbig: 40px;
  --primary-color: var(--blue-shade-5);
  --tertiary-color: white;
  --semantics-text-or-icon-error: #c70f12;
  --tertiary-deep-grey: var(--tertiary-deep-Grey);
  --primary-variations-primary: var(--blue-shade-5);
  --neutrals-bars-unselected: var(--bars-unselected);
  --neutrals-unfilled-inactive: var(--inactive-content);
  --neutrals-sub-texts-paragraphs: var(--tertiary-black);
  --primary-variations-secondary: var(--secondary-gray-20);
  --gradients-accent-section-bg-3: linear-gradient(228deg, rgb(23 29 155 / 20%) 31.52%, rgb(255 98 0 / 20%) 111.9%);

  .form__input-items {
    line-height: 2.9;
  }

  .form__input-button--resend {
    font-family: inherit;
    font-size: 11px;
    font-weight: var(--fw-500);
  }

  .form__input--disclaimer {
    p {
      font: inherit;
      @media (width >= 768px) {
        font: inherit;
      }
    }
  }

  button.button,
  .dropin-button--primary {
    --cta-border-width: 0px;
    --cta-padding-y: 11px;
    --cta-padding-x: 12px;
    --shape-border-radius-3: 0;
    --icon-size: 20px;

    align-items: center;
    cursor: pointer;
    display: inline-flex;
    padding: calc(var(--cta-padding-y) - var(--cta-border-width)) calc(var(--cta-padding-x) - var(--cta-border-width));
    justify-content: center;
    font: var(--text-medium-regular);
    line-height: var(--lh-small);
    font-feature-settings: var(--font-settings);
    gap: 4px;
    text-decoration: none;
    transition: all 0.3s linear;
    position: relative !important;
    border: 1px solid var(--primary-variations-primary);
    background-color: var(--primary-variations-primary);
    color: var(--primary-variations-secondary);
    font-size: var(--fs-medium);
    font-weight: var(--fw-400);

    &:disabled {
      border: 1px solid var(--neutrals-bars-unselected);
      background-color: var(--neutrals-bars-unselected);
      color: var(--neutrals-unfilled-inactive);
      cursor: unset;
    }

    @media (width >= 1024px) {
      --cta-padding-x: 16px;
      --icon-size: 24px;
    }
  }

  p {
    margin: 0;
  }

  input {
    font-family: inherit;
  }

  .login-block .login-container .form .form__section .form__wrapper .form__close-icon {
    &::after {
      background-image: url('/icons/close_black.svg');
    }
  }
}

body.appear:has(.section.login-container) {
  background: transparent;
}

.toast-message {
  --fs-small: 14px;
  --sizing-s: 12px;
  --sizing-m: 16px;
  --lh-medium: 20px;
  --spacing-2xs: 10px;
  --success-bg: #d7f0cc;
  --warning-bg: #fcd7d8;
  --primary-color: var(--blue-shade-5);
  --semantics-text-or-icon-error: #c70f12;

  display: none;
  align-self: center;
  order: 1;
  padding: var(--sizing-s) var(--sizing-m);
  width: calc(100% - 40px);
  transition: opacity 0.3s ease;
  font-size: var(--fs-small);
  font-weight: var(--fw-600);
  line-height: var(--lh-medium);
  align-items: center;
  justify-content: space-between;
  margin-bottom: var(--sizing-m);
  box-shadow: 0 1px 9.6px 0 rgba(0 0 0 / 15%);

  @media (width >= 1024px) {
    width: 691px;
  }

  .toast-message__text {
    display: flex;
    align-items: center;
    flex-grow: 1;
  }

  .toast-message__text::before {
    content: '';
    display: inline-block;
    width: 24px;
    height: 24px;
    margin-right: var(--spacing-2xs);
  }

  .toast-message__view-link {
    color: var(--primary-color);
    text-decoration-line: underline;
    word-break: keep-all;
    white-space: nowrap;
  }
}

.toast-message.show {
  display: flex;
}

.toast-message.toast--success {
  background-color: var(--success-bg);
  color: var(--semantics-text-or-icon-success);

  .toast-message__text::before {
    background: center / contain no-repeat url('/icons/success_tick.svg');
  }
}

.toast-message.toast--error {
  background-color: var(--warning-bg);
  color: var(--semantics-text-or-icon-error);

  .toast-message__text::before {
    background: center / contain no-repeat url('/icons/warning.svg');
  }
}

.temp-toast {
  bottom: 0;
  left: 50%;
  z-index: 1000;
  position: fixed;
  transform: translate(-50%, 0);
}

.login.subscription-page.block {
  .login-block {
    .login-container {
      .form {
        .form__section {

          .form__wrapper {
            .form__wrapper-inner {
              .form__input-grid {

                .form__input--mobile {
                  .form__error {
                    position: unset;
                  }
                  .form__inner--input {
                    padding: 0;
                    border: 0;

                    input {
                      padding: 12px 0;
                      border-bottom: 1px solid var(--footeremail-color);
                    }
                  }
                }

                .form__user-details {
                  margin-bottom: 30px;

                  .form__input {
                    padding: 0;
                    border: 0;

                    input {
                      padding: 12px 0;
                      border-bottom: 1px solid var(--footeremail-color);
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}